Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.commons.core.v2
Class ActorType

    java.lang.Object
      be.fgov.ehealth.commons.core.v2.ActorType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:41:55+01:00",
               comments="JAXB RI v2.2.11")
    public class ActorType

extends Object
implements Serializable

Identifies the type of Actor

Java class for ActorType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ActorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:commons:core:v2}Id" maxOccurs="unbounded"/>
             <sequence>
               <element name="FirstName" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
               <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ActorType()`

Method Summary
`List<String>` | `getFirstNames()` Gets the value of the firstNames property.
`List<Id>` | `getIds()` Gets the value of the ids property.
`String` | `getName()` Gets the value of the name property.
`void` | `setName(String value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActorType

    public ActorType()

Method Detail

### getIds

    public List<Id> getIds()

  Gets the value of the ids property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

  For example, to add a new item, do as follows:

          getIds().add(newItem);

  Objects of the following type(s) are allowed in the list `Id`

### getFirstNames

    public List<String> getFirstNames()

  Gets the value of the firstNames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the firstNames property.

  For example, to add a new item, do as follows:

          getFirstNames().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.